import { createFileRoute, lazyRouteComponent } from '@tanstack/react-router';

const PublicBookingPage = lazyRouteComponent(
  () => import('@/features/public-booking/public-booking-page'),
  'PublicBookingPage'
);

export const Route = createFileRoute('/$complexSlug/booking/')({
  component: RouteComponent,
});

function RouteComponent() {
  const { complexSlug } = Route.useParams();

  return <PublicBookingPage complexSlug={complexSlug} />;
}
